<?php

/**
 * Description of MsgContatos
 *
 * @author Celke
 */
class MsgContatos
{

    public object $connect;
    public $dados;

    public function listar() {
        $conn = new Conn();
        $this->connect = $conn->conectar();
        //var_dump($this->connect);
        $query_msgs_contatos = "SELECT id, nome, email, titulo_msg, conteudo_msg, created, modified
                FROM msgs_contatos
                ORDER BY id DESC
                LIMIT 40";
        $result_msgs_contatos = $this->connect->prepare($query_msgs_contatos);
        $result_msgs_contatos->execute();
        return $result_msgs_contatos->fetchAll();
    }

    public function cadastrar() {
        //var_dump($this->dados);
        $conn = new Conn();
        $this->connect = $conn->conectar();
        $query_msg_contato = "INSERT INTO msgs_contatos
                (nome, email, titulo_msg, conteudo_msg, created) VALUES 
                (:nome, :email, :titulo_msg, :conteudo_msg, NOW())";
        $cad_msg_contato = $this->connect->prepare($query_msg_contato);
        $cad_msg_contato->bindParam(':nome', $this->dados['nome'], PDO::PARAM_STR);
        $cad_msg_contato->bindParam(':email', $this->dados['email'], PDO::PARAM_STR);
        $cad_msg_contato->bindParam(':titulo_msg', $this->dados['titulo_msg'], PDO::PARAM_STR);
        $cad_msg_contato->bindParam(':conteudo_msg', $this->dados['conteudo_msg']);
        
        $cad_msg_contato->execute();
        
        if($cad_msg_contato->rowCount()){
            $_SESSION['msg'] = "<p style='color: green';>Mensagem cadastrada com sucesso!</p>";
            return true;
        }else{
            $_SESSION['msg'] = "<p style='color: #ff0000';>Erro: Mensagem não cadastrada com sucesso!</p>";
            return false;
        }       

        
    }

}
